package com.xunmei.core.resumption.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.core.resumption.domain.AppResumptionDataNfc;
import com.xunmei.core.resumption.vo.ResumptionNfcInfoVo;
import com.xunmei.core.resumption.vo.ResumptionNfcVo;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 履职nfc扫描表服务接口
 *
 * @author oygj
 * @since 2022-05-06 08:37:04
 * @description 由 Mybatisplus Code Generator 创建
 */
public interface AppResumptionDataNfcService extends IService<AppResumptionDataNfc> {

    List<Map<String, Object>> findnfcDataList(String taskid, Long areaid,Long orgId);

    List<Map<String, Object>> findnfcDataListByPointid(Long pointid,String taskid,Long orgId);

    List<Map<String, Object>> findnfcDataListNew(String taskid, Long orgId);

    List<Map<String, Object>> findnfcDataListByPointidNew(String taskid, Long orgId);

    List<ResumptionNfcInfoVo> findPointNfcData(String taskid, Long orgId);

    List<ResumptionNfcVo> findNfcByAreaIdAndOrgId(Set<Long> nfcBindIdList, Long orgId, Long planId);
}
